# norootforbuild

%define _prefix	/usr

%if %suse_version >= 920
%define xwindow xorg-x11
%else
%define xwindow XFree86
%endif

Name:				libvisual04
Version:			0.4.0
Release:			1.17
Summary:			Abstraction Library that comes between Applications and Audio Visualisation Plugins
Source:			http://prdownloads.sourceforge.net/libvisual/libvisual-%{version}.tar.bz2
URL:				http://www.sf.net/projects/libvisual/
Group:			System/Libraries
License:			GNU Lesser General Public License (LGPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	gcc glibc-devel make %{xwindow}-libs %{xwindow}-devel gettext gettext-devel
BuildRequires:	gcc-c++ libstdc++-devel
%if %suse_version >= 1010
BuildRequires:	Mesa-devel
%else
BuildRequires:	%{xwindow}-Mesa-devel
%endif
BuildRequires:	autoconf automake libtool

%description
Libvisual is a library that acts as a middle layer between applications that
want audio visualisation and audio visualisation plugins.

Libvisual is aimed at developers who, have a need for audio visualisation and
those who actually write the visualisation plugins.

By writing an audio visualisation plugin for libvisual every application that
uses libvisual is capable of using this plugin. The application handles the
end drawing of the graphics and thus rendering done by plugins using libvisual
can be drawn everywhere. That is but not limited to: ascii art, sdl, on gl
object as a surface , alpha blended or just, anywhere.

%package devel
Summary:			Development environment for %{name}
Group:			Development/Libraries/Multimedia
Requires:		%{name} = %{version}-%{release}

%description devel
Development environment for %{name}

%if %suse_version >= 930
%debug_package
%endif
%prep
%setup -q -n "libvisual-%{version}"
# sanity check, this package is only intended for SUSE <= 10.1
%if %suse_version > 1010
echo "ERROR: ONLY BUILD THIS ON SUSE <= 10.1 !" >&2
exit 1
%endif

%build
%configure \
	--disable-debug \
	--disable-profiling

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/locale"

for d in actor input morph; do
	%__install -d "%{buildroot}%{_libdir}/libvisual-0.4/${d}"
done

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libvisual-0.4.so.*
%dir %{_libdir}/libvisual-0.4
%dir %{_libdir}/libvisual-0.4/actor
%dir %{_libdir}/libvisual-0.4/input
%dir %{_libdir}/libvisual-0.4/morph

%files devel
%defattr(-,root,root)
%{_includedir}/libvisual-0.4
%{_libdir}/libvisual-0.4.so
%{_libdir}/libvisual-0.4.la
%{_libdir}/pkgconfig/libvisual-0.4.pc

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

